Skip to main content
GET
/
employees
/
{employee}
/
compensations
Vergütungen auflisten
curl --request GET \
  --url https://{tenant}.stamp.eu/rest/employees/{employee}/compensations \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "employee_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "compensation_type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "value": 123,
      "effective_from": "2023-12-25",
      "compensation_type": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "category": "<string>",
        "is_system": true
      },
      "currency": "EUR",
      "interval": "<string>",
      "weekly_working_hours": 123,
      "full_time_weekly_working_hours": 123,
      "suggested_weekly_hours": 123,
      "hours_mismatch": true,
      "schedule_model_weekly_hours": 123,
      "comment": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

employee
string<uuid>
required

Mitarbeiter-ID (UUID)

Response

Array of EmployeeCompensationResource

data
object[]
required